.flag-secondary{
    opacity: .82;              /* mờ nhẹ */
    filter: grayscale(82%);    /* giảm màu */
    transition: .3s;
}

.flag-secondary:hover{
    opacity:1;
    filter: grayscale(0%);
}

.forum-btn{
    transition:0.3s;
}

.forum-btn:hover{
    color: var(--bs-danger) !important;
	 transform:scale(1.15);
}

.container > svg{
    display:none !important;
}

#carouselExampleIndicators .carousel-item{
    height:600px;
    overflow:hidden;
}

#carouselExampleIndicators .carousel-item img{
    width:100%;
    height:100%;
    object-fit:cover;
    object-position:center center;
}

@media (max-width:768px){
    #carouselExampleIndicators .carousel-item{
        height:50vw;
        min-height:220px;
        max-height:320px;
    }
}

/*nảy lên khi rê vào*/
.list-group-item {
    position:relative;
    padding:20px;
    transition:
        transform .35s ease,
        box-shadow .35s ease;
}

.list-group-item:hover {
    transform:translateY(-5px);
    box-shadow:0 10px 25px rgba(0,0,0,.15);
}

.myHidden{
	display: none;
}

.phatsang{
	font-size: 16px;
    padding: 8px 16px;
    background: none !important;
    border: 1px solid #fff !important;
    cursor: pointer;
    color: #fff !important;
    text-align: center;
    border-radius: 5px;
}

.phatsang:hover {
	border-radius: 5px !important;
    box-shadow: 0 0 5px #DDDDDD, 0 0 25px #DDDDDD, 0 0 50px #DDDDDD, 0 0 100px #DDDDDD;
}

.phatsang a{
	color: #fff !important
	text-decoration: none !important
}

.news-feed img {
    width: 140px;
    height: 140px;
    object-fit: cover;
    flex-shrink: 0;
    margin: 8px;
    box-shadow: 3px 3px 3px #666;
}

.moveRight {
    animation: leftRight 2s infinite alternate;
}

@keyframes leftRight{
    0% {
        -webkit-transform: translateX(-10px);
        -moz-transform: translateX(-10px);
        -o-transform: translateX(-10px);
        transform: translateX(-10px);
    }
    100% {
        -webkit-transform: translateX(10px);
        -moz-transform: translateX(10px);
        -o-transform: translateX(10px);
        transform: translateX(10px);
    }
}


.moveUp {
    -webkit-animation: downUp 2s infinite alternate;
    -moz-animation: downUp 2s infinite alternate;
    -o-animation: downUp 2s infinite alternate;
    animation: downUp 2s infinite alternate;
}

@keyframes downUp{
    0% {
        -webkit-transform: translateY(-10px);
        -moz-transform: translateY(-10px);
        -o-transform: translateY(-10px);
        transform: translateY(10px);
    }
    100% {
        -webkit-transform: translateY(10px);
        -moz-transform: translateY(10px);
        -o-transform: translateY(10px);
        transform: translateY(-10px);
    }
}


.arrow {
  border: solid #6c757d;
  border-width: 0 3px 3px 0;
  display: inline-block;
  padding: 3px;
}

.right {
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
}

.left {
  transform: rotate(135deg);
  -webkit-transform: rotate(135deg);
}

.up {
  transform: rotate(-135deg);
  -webkit-transform: rotate(-135deg);
}

.down {
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}

/*xem them: https://freefrontend.com/css-arrows/ */

.shake {
	-webkit-animation: twerk 7s infinite ease-in-out;
	-moz-animation: twerk 7s infinite ease-in-out;
	-ms-animation: twerk 7s infinite ease-in-out;
	-o-animation: twerk 7s infinite ease-in-out;
	animation: twerk 7s infinite ease-in-out;
}

@-moz-keyframes twerk {
	0% {
		transform: rotate(0) scale(1) skew(1deg)
	}
	10% {
		transform: rotate(-25deg) scale(1) skew(1deg)
	}
	20% {
		transform: rotate(25deg) scale(1) skew(1deg)
	}
	30% {
		transform: rotate(-25deg) scale(1) skew(1deg)
	}
	40% {
		transform: rotate(25deg) scale(1) skew(1deg)
	}
	50% {
		transform: rotate(0) scale(1) skew(1deg)
	}
	100% {
		transform: rotate(0) scale(1) skew(1deg)
	}
}

@-webkit-keyframes twerk {
	0% {
		transform: rotate(0) scale(1) skew(1deg)
	}
	10% {
		transform: rotate(-25deg) scale(1) skew(1deg)
	}
	20% {
		transform: rotate(25deg) scale(1) skew(1deg)
	}
	30% {
		transform: rotate(-25deg) scale(1) skew(1deg)
	}
	40% {
		transform: rotate(25deg) scale(1) skew(1deg)
	}
	50% {
		transform: rotate(0) scale(1) skew(1deg)
	}
	100% {
		transform: rotate(0) scale(1) skew(1deg)
	}
}

@-o-keyframes twerk {
	0% {
		transform: rotate(0) scale(1) skew(1deg)
	}
	10% {
		transform: rotate(-25deg) scale(1) skew(1deg)
	}
	20% {
		transform: rotate(25deg) scale(1) skew(1deg)
	}
	30% {
		transform: rotate(-25deg) scale(1) skew(1deg)
	}
	40% {
		transform: rotate(25deg) scale(1) skew(1deg)
	}
	50% {
		transform: rotate(0) scale(1) skew(1deg)
	}
	100% {
		transform: rotate(0) scale(1) skew(1deg)
	}
}

@keyframes twerk {
	0% {
		transform: rotate(0) scale(1) skew(1deg)
	}
	10% {
		transform: rotate(-25deg) scale(1) skew(1deg)
	}
	20% {
		transform: rotate(25deg) scale(1) skew(1deg)
	}
	30% {
		transform: rotate(-25deg) scale(1) skew(1deg)
	}
	40% {
		transform: rotate(25deg) scale(1) skew(1deg)
	}
	50% {
		transform: rotate(0) scale(1) skew(1deg)
	}
	100% {
		transform: rotate(0) scale(1) skew(1deg)
	}
}

body, html {
    -webkit-font-smoothing: antialiased;
}

.text-blackpink {
    color: #ff59c7; /*black-pink*/
}

.bd-mode-toggle {
	z-index: 1500;
}